> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Lataa zip-tiedostoja (yli 6 MB)

AWS-pilvipalveluntarjoajan teknisen rajoituksen vuoksi yli 6 Mt:n tiedostot on ladattava kahdessa vaiheessa:

#### **1. Pyydä esiallekirjoitettu linkki suoraa latausta varten.** <a href="#step1" id="step1"></a>

Syötteenä:

* `fileType` - `yield` TAI `soil` TAI `applied` TAI `adapt` TAI `boundary`,
* `farmUuid` (valinnainen) – tuotavan tiedoston maatilan UUID.

Tulosteena:

* `uuid` – odotettu UUID latauksen ja käsittelyn jälkeen,
* `farmUuid` – sama kuin syötteessä,
* `fileType` – sama kuin syötteessä,
* `s3Url` – tiedoston lataamiseen käytettävä URL-osoite,
* `s3Fields` – ladattavan tiedoston lomakkeelle välitettävät attribuutit.

Kohdissa `s3Url` ja `s3Fields` kuvataan, miten niitä käytetään toisessa vaiheessa.

Attribuutit ovat voimassa vain 60 minuuttia tiedoston lataamista varten.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Lähetä paikallinen tiedosto s3Url-osoitteeseen käyttämällä s3Fields-kohdassa määritettyjä lomakeattribuutteja.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Käsittelyä koskevat ilmoitukset toimitetaan tilausmekanismin kautta, jota kuvataan kohdassa\
[1. Tilaaminen: tapahtumien hakeminen](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Vastausotsake sisältää `Etag` otsakkeen, joka voi näyttää esimerkiksi tältä: `Etag: "6fd3e76992738357ab50039f2c60024e"`. Tätä arvoa käytetään myöhemmin GraphQL-kyselyssä [query getPlatformContext](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-requests-overview/83.-query-collect-platform-context.md) käsittelyn edistymisen seurantaan sekä yhteyden määrittämiseen "Field"-, "AsAppliedDataset"-, "YieldDataset"- ja "SoilDataset"-entiteetteihin.
{% endhint %}

{% hint style="info" %}
Käytä `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
